Bug 110778 - bad source code
bad source code
Product: Fedora
Classification: Fedora
Component: libvorbis (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2003-11-24 10:42 EST by d.binderman
Modified: 2014-03-16 22:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-12-12 15:01:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-11-24 10:42:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

I just tried to compile package libvorbis-1_0-8 from Fedora.

The compiler said


seeking_example.c(142): remark #592: variable "pos" is used before 
its value is set
seeking_example.c(163): remark #592: variable "pos" is used before 
its value is set
seeking_example.c(190): remark #592: variable "pos" is used before 
its value is set

I've checked the source code, and I agree with the compiler. This
code would benefit from rework.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. by inspection

Additional info:
Comment 1 Bill Nottingham 2003-12-11 17:20:08 EST
Please report this upstream at http://bugs.xiph.org/; I don't think
we'll go to the effort to carry forward a patch to the examples.
Comment 2 d.binderman 2003-12-12 13:45:39 EST
>Please report this upstream at http://bugs.xiph.org/

I tried to do this, but I couldn't figure out how to do it.

Could I ask you to submit this bug report for me, please ?

Comment 3 Bill Nottingham 2003-12-12 15:01:20 EST
Comment 4 David Binderman 2004-11-23 03:20:39 EST
I can confirm that this bug is still not fixed in Fedora Core 3,
nearly a year later.

Note You need to log in before you can comment on or make changes to this bug.